#!/bin/bash

export PATH=$PATH:/opt/OSELAS.Toolchain-2012.12.1/arm-cortexa8-linux-gnueabihf/gcc-4.7.3-glibc-2.16.0-binutils-2.22-kernel-3.6-sanitized/bin/

PD_PATH=$(pwd)/..
TARGET_ROOT=${PD_PATH}/platform-phyBOARD-WEGA-AM335x/sysroot-target
HOST_ROOT=${PD_PATH}/platform-phyBOARD-WEGA-AM335x/sysroot-host
LIBPATH=${HOST_ROOT}/usr/lib

ARCH=arm-cortexa8-linux-gnueabihf
export AR=${ARCH}-ar
export CC=${ARCH}-gcc
export CXX=${ARCH}-g++
export RANLIB=${ARCH}-ranlib
export LINK=${CXX}

export LDFLAGS='-Wl,-rpath-link '${LIBPATH}

export npm_config_arch=arm
export npm_config_nodedir=${PD_PATH}/platform-phyBOARD-WEGA-AM335x/build-target/node-v0.10.33/

${HOST_ROOT}/usr/bin/node ${HOST_ROOT}/usr/bin/npm install --target_arch=arm $1
